var comb = exports;

/**
 * @namespace Regeular expression utilities
 *
 */
comb.regexp = {
    /**
     * Escapes a string
     *
     * @param {String} str the string to escape
     * @param {String} [except] characters to ignore
     *
     * @returns {String} the escaped string
     */
    escapeString : function(/*String*/str, /*String?*/except) {
        return str.replace(/([\.$?*|{}\(\)\[\]\\\/\+^])/g, function(ch) {
            if (except && except.indexOf(ch) != -1) {
                return ch;
            }
            return "\\" + ch;
        }); // String
    }
};